import { EventEmitter } from '../../stencil-public-runtime';
export declare class EzpUpload {
    private input?;
    private form?;
    /**
     *
     * States
     *
     */
    selectedFiles: File[];
    dragging: boolean;
    /**
     *
     * Events
     *
     */
    uploadFile: EventEmitter;
    /**
     *
     * Listeners
     *
     */
    handleDragEnter(): void;
    handleDragOver(event: DragEvent): void;
    handleDragLeave(): void;
    handleDrop(event: DragEvent): void;
    listenPrintCancel(): void;
    /**
     *
     * Private methods
     *
     */
    private handleInput;
    private removeFile;
    /**
     *
     * Render method
     *
     */
    render(): any;
}
